/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_brillo_1}", "click", function(sym, e) {
         sym.getSymbol("serrucho").play();
         sym.$("brillo_1").hide();
         sym.getSymbol("martillo").stop(0);
         sym.getSymbol("destornilla").stop(0);
         sym.$("brillo_2").fadeIn("slow");
         sym.$("brillo_3").fadeIn("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_brillo_2}", "click", function(sym, e) {
         sym.getSymbol("martillo").play(1);
         sym.$("brillo_2").hide();
         sym.getSymbol("serrucho").stop(0);
         sym.getSymbol("destornilla").stop(0);
         sym.$("brillo_1").fadeIn("slow");
         sym.$("brillo_3").fadeIn("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_brillo_3}", "click", function(sym, e) {
         sym.getSymbol("destornilla").play(1);
         sym.$("brillo_3").hide();
         sym.getSymbol("serrucho").stop(0);
         sym.getSymbol("martillo").stop(0);
         sym.$("brillo_1").fadeIn("slow");
         sym.$("brillo_2").fadeIn("slow");
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'carpintero'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("carpintero");
   //Edge symbol end:'carpintero'

   //=========================================================
   
   //Edge symbol: 'cabeza'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("cabeza");
   //Edge symbol end:'cabeza'

   //=========================================================
   
   //Edge symbol: 'brazos_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7500, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("brazos_1");
   //Edge symbol end:'brazos_1'

   //=========================================================
   
   //Edge symbol: 'brazos_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("brazos_2");
   //Edge symbol end:'brazos_2'

   //=========================================================
   
   //Edge symbol: 'cuerpo_carpintero'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7500, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("cuerpo_carpintero");
   //Edge symbol end:'cuerpo_carpintero'

   //=========================================================
   
   //Edge symbol: 'brillo_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("brillo_1");
   //Edge symbol end:'brillo_1'

   //=========================================================
   
   //Edge symbol: 'brillo_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("brillo_2");
   //Edge symbol end:'brillo_2'

   //=========================================================
   
   //Edge symbol: 'brillo_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.playReverse();

      });
      //Edge binding end

   })("brillo_3");
   //Edge symbol end:'brillo_3'

   //=========================================================
   
   //Edge symbol: 'serrucho'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("serrucho");
   //Edge symbol end:'serrucho'

   //=========================================================
   
   //Edge symbol: 'uno'
   (function(symbolName) {   
   
   })("uno");
   //Edge symbol end:'uno'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
   })("pop_1");
   //Edge symbol end:'pop_1'

   //=========================================================
   
   //Edge symbol: 'martillo'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("martillo");
   //Edge symbol end:'martillo'

   //=========================================================
   
   //Edge symbol: 'pop_2'
   (function(symbolName) {   
   
   })("pop_2");
   //Edge symbol end:'pop_2'

   //=========================================================
   
   //Edge symbol: 'destornilla'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("destornilla");
   //Edge symbol end:'destornilla'

   //=========================================================
   
   //Edge symbol: 'pop_3'
   (function(symbolName) {   
   
   })("pop_3");
   //Edge symbol end:'pop_3'

})(jQuery, AdobeEdge, "EDGE-1010687340");